Remove a payment token linked to a card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-10 characters | ✓ | The tracking number of the card of which to remove the payment token from |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token |
| stopReasonID | Integer | ✓ | Stop Reason id associated with the reason for stopping a card | |
| comment | String | ✓ | Description as to why the token was deleted | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>DeleteToken</methodName>
<params>
<param>
<value>
<string>0020787431</string>
</value>
</param>
<param>
<value>
<string>Cyp001</string>
</value>
</param>
<param>
<value>
<string>412084400000001</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<int>1</int>
</value>
</param>
<param>
<value>
<string>Card no longer in use</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>0CC10A5F9B392D022BCB740FD4041C1BF83D012F</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| customerReference | String | Echo |
| trackingNumber | String | Echo |
| tokenUniqueReference | String | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>Cyp001</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>766AA815-155D-0028-9D73400C6ACF4DDA</string>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0020787431</string>
</value>
</member>
<member>
<name>tokenUniqeReference</name>
<value>
<int>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</int>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>412084400000001</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
